Categories
es

Cómo utilizar java silverlight y otros plugins en navegadores modernos

Aunque la mayoría de los fabricantes de navegadores tienen previsto dejar de admitir Java, Flash y otros plugins como Silverlight o Quicktime, o ya han dejado de admitir estas tecnologías, todavía existen muchos sitios y servicios a los que sólo se puede acceder si se instalan determinados plugins en el navegador.

Si tomamos como ejemplo Google Chrome, nos daremos cuenta rápidamente de que es compatible con Flash gracias a una integración nativa de la tecnología, pero no con ningún otro plugin. Esto significa que los usuarios de Chrome no pueden acceder a contenidos en Internet que requieran Silverlight, Java u otros plugins.

Microsoft creó Edge en Windows 10 sin soporte para estos plugins también, y también soporta solo Flash gracias a una integración nativa pero no otro plugin.

Mozilla Firefox por otro lado soporta plugins pero Mozilla planea abandonar el soporte eventualmente (en 2017 probablemente).

Probablemente te estés preguntando por qué el navegador deja de soportar estos plugins teniendo en cuenta que algunos servicios y sitios todavía los requieren. La respuesta es porque es beneficioso para la seguridad y la estabilidad del navegador.

Si compruebas las estadísticas de fallos de Firefox 45.0.2 que Mozilla recopiló en el transcurso de siete días, te darás cuenta de que cuatro de los diez fallos principales se atribuyen a plugins (posiciones 2,4,5 y 9).

Qué puede hacer al respecto

Los usuarios de Internet, al menos los de equipos de sobremesa, se enfrentan a dos problemas:

  1. Enfrentarse a problemas de estabilidad y seguridad cuando se utilizan/instalan plugins en el sistema.
  2. Asegurarse de que se puede acceder al contenido que requiere plugins.

Aunque puedes simplemente ejecutar un navegador que soporte plugins y listo, te sugiero que utilices un navegador secundario para ello.

Esta es también la única opción si su navegador principal ya no soporta plugins.

Además, separar el contenido de los plugins de todo lo demás soluciona el primer problema mencionado anteriormente si tu navegador principal soporta plugins.

Dado que sólo lo utilizas para conectarte a sitios que requieren plugins, como un sitio de streaming de vídeo o un sitio de banca online, tu navegador principal no sufrirá problemas de estabilidad ni correrá el riesgo de ser víctima de ataques dirigidos a plugins.

El navegador

Hay un par de navegadores que no se pueden utilizar para esto porque carecen de soporte para plugins. Esto incluye Google Chrome y otros navegadores basados en Chromium como Vivaldi u Opera, y Microsoft Edge.

Actualización : Tenga en cuenta que los plugins están en su salida en el navegador web Firefox también. En ese caso, puede utilizar un navegador como Pale Moon, ya que sigue siendo compatible con los plugins NPAPI. FIN

Esto nos deja Mozilla Firefox (o un navegador basado en Firefox) o Internet Explorer, y aunque ambos deberían funcionar bien, te sugiero que elijas Firefox ya que puedes instalar una segunda copia del navegador fácilmente, o usar otro perfil en su lugar exclusivamente para contenido relacionado con plugins.

Mi sugerencia sería Firefox ESR, una versión de soporte extendido del navegador. La razón de esta sugerencia es que ESR se actualiza regularmente con actualizaciones de seguridad y correcciones de errores, pero sólo cada ocho ciclos de lanzamiento con actualizaciones de características principales.

Esto debería darte más tiempo para el soporte de plugins que las versiones normales del navegador. Además, no tendrá que lidiar con los cambios que se realizan en el navegador cada vez que se publican nuevas versiones.

Alternativamente, también puedes descargar una versión portable de Firefox para ejecutarlo de forma completamente independiente de cualquier copia instalada del navegador.

Instalar

Descarga e instala Firefox ESR desde el sitio web oficial. Asegúrate de descargar y utilizar la versión de 32 bits, ya que muchos plugins no están disponibles en versiones de 64 bits.

Si tu navegador principal no es Firefox, omite el siguiente paso.

No puedes ejecutar Firefox ESR si ya se está ejecutando otra copia de Firefox. Para evitarlo, haga lo siguiente:

  1. Cierre todas las versiones de Firefox.
  2. Ejecute Firefox ESR con los parámetros Â-p – no-remote. Si ha colocado un icono de escritorio durante la instalación, puede hacer clic con el botón derecho del ratón sobre él y añadir los parámetros al final de la línea de destino.
  3. Deberá aparecer la pantalla de selección de perfil.
  4. Seleccione crear perfil y siga las instrucciones. Te sugiero que elijas un nombre descriptivo para el perfil, por ejemplo Firefox Plugins Enabled.
  5. Una vez hecho esto, cierra el navegador y edita el acceso directo a-p “Firefox Plugins Enabled” – no-remote. Esto asegura que puedas ejecutar el navegador usando el perfil recién creado directamente sin tener que usar el gestor de perfiles cada vez primero.

Ahora que Firefox está configurado, es el momento de instalar los plugins en el sistema.

Enlaces de descarga de plugins

A continuación encontrarás una selección de enlaces de descarga de los plugins más populares:

  1. Adobe Flash (asegúrate de desmarcar las ofertas de terceros en la página de descarga)
  2. Java
  3. Microsoft Silverlight (asegúrate de desmarcar Hacer de Bing mi motor de búsqueda y Hacer de MSN mi página de inicio durante la instalación).

Instalación y configuración

Instala los plugins en el sistema que necesites. Una vez hecho esto, puede que sea necesario bloquear estos plugins en otros navegadores para que sólo se activen cuando ejecutes tu versión de Firefox ESR.

Si utiliza otra versión de Firefox, cargue about:addons en el navegador, cambie a plugins y configure todos los plugins que encuentre en la página como “no activar nunca”.

In Internet Explorer, tap on the Alt-key, and select Tools > Gestionar complementos. Localiza cualquier plugin instalado y establécelo como desactivado en la página para asegurarte de que no se utiliza.

Te sugiero que lo hagas incluso si no utilizas ningún navegador.

Uso

Todo lo que queda ahora es asegurarte de que utilizas el navegador compatible con plugins siempre que necesites acceder a contenido en Internet que requiera plugins, y otro navegador para el resto de la actividad.

Ahora tú : ¿Sigues necesitando plugins?

Desde que la versión 52 de Firefox fue lanzada el 7 de marzo de 2017, los plugins NPAPI instalados no son compatibles con Firefox, excepto Adobe Flash Player. Algunos de los plugins que ya no se cargan en Firefox, aunque puedan estar instalados en tu ordenador, son Java, Microsoft Silverlight y Adobe Acrobat.

En los últimos años, Firefox ha implementado varias API web para que los sitios web puedan hacer las mismas cosas que siempre han hecho sin plugins, por lo que lo más probable es que no notes ningún cambio en tu experiencia de navegación.

Internet está lleno de sitios web que van más allá de las páginas estáticas, como vídeo, sonido y juegos. Aunque los plugins NPAPI, especialmente Flash, han ayudado a habilitar estas páginas interactivas, también hacen que tu navegación sea más lenta, menos segura y más propensa a bloquearse.

En los últimos años, Firefox ha trabajado duro para construir sustitutos para estos plugins, estos sustitutos se llaman APIs Web. Las Web APIs están diseñadas para reemplazar la función de los plugins NPAPI sin socavar la seguridad, estabilidad y rendimiento de Internet.

Antes, mientras estas Web APIs no estaban del todo listas, Firefox empezó la transición haciendo que los plugins se cargaran manualmente (haz clic para activarlos).

Ahora, muchos sitios han adoptado las API web, y casi todas tus páginas favoritas se pueden disfrutar sin necesidad de utilizar plugins antiguos e inseguros. Firefox se une a otros navegadores modernos como Google Chrome y Microsoft Edge eliminando el soporte para estos plugins NPAPI.

Te recomendamos que actualices Firefox si puedes.

Cada actualización de Firefox incluye importantes correcciones y mejoras, incluyendo mejoras que ayudan a mantenerte seguro en Internet. Utilizar una versión antigua de cualquier navegador, incluido Firefox, pone en riesgo tus datos personales e incluso tu ordenador.

Firefox se ha ampliado para admitir funciones que antes requerían plugins adicionales. Además, los plugins se mantienen actualizados automáticamente y se gestionan mediante listas de bloqueo para mayor seguridad. Así que puedes estar al día con una sola actualización de Firefox.

Estas buenas personas ayudaron a escribir este artículo:

Voluntario

Crece y comparte tu experiencia con los demás. Responde a preguntas y mejora nuestra base de conocimientos.

Prerrequisito: Tutoriales de Java

Este artículo trata sobre el soporte de Java en los navegadores.

¿Por qué necesitamos el soporte de Java en un navegador?

Si usted aprendió o tiene algún conocimiento o ha trabajado en Java, entonces es probable que usted debe haber llegado a través de este concepto de Java Applet. Así, un Applet no es más que un programa Java, pero la única diferencia es que no se puede ejecutar directamente en una máquina independiente. Necesita un navegador web para ejecutarse. Se incrusta fácilmente en una página HTML y es un concepto del lado del cliente, es decir, se ejecuta en el lado del cliente.

Por lo tanto, para ejecutar Applet, necesitamos un navegador habilitado para Java. Los navegadores vienen con un plugin Java que permite la ejecución de un Applet en él. Y así, los navegadores que vienen a Java habilitado, puede ejecutar Applet sin ningún tipo de molestia.

Por lo tanto, ahora que sabemos por qué necesitamos soporte de navegador para Java, vamos a empezar con la lista de navegadores que lo soportan en la actualidad.

Navegador que soporta Java: Los navegadores necesitan el plugin de Java que depende de NPAPI (Netscape Plugin Application Programming Interface) . Hoy en día, la mayoría de los navegadores conocidos han dejado de soportarlo.

Estos son los navegadores que ya no soportan Java Applet :

  • Google Chrome
  • Firefox
  • Safari
  • Microsoft Edge
  • Opera

Por lo tanto, como se puede ver que todos estos navegadores ya no son compatibles con Applet. Incluso las nuevas versiones del JDK de Oracle no vienen con el apoyo del plugin de navegador Java.

La razón para abandonar el apoyo se debió a problemas de seguridad y los riesgos que se encontraron.

Pero hay Internet Explorer que todavía tiene el soporte para Java Applet . Por lo tanto, hoy en día Internet Explorer es el único navegador que soporta Java Applet.

¿Cómo activar Java en Internet Explorer? Los siguientes son los pasos para activar Java en Internet Explorer:

  1. Haga clic en el icono ‘ Herramientas ‘ en la esquina superior derecha de la ventana o pulse Alt + X , si en las ventanas.
  2. En el menú seleccione ‘Opciones de Internet’.
  3. En la pestaña “Seguridad”, haga clic en “Nivel personalizado”.
  4. Ahora, En la ventana emergente, desplácese hacia abajo y busque ‘ Scripting de Java applet ‘ y asegúrese de que está habilitado y haga clic en Aceptar.

Sử dụng Internet Explorer (Ngay cả trên Windows 10)

Internet Explorer là trình duyệt cũ của Microsoft và Microsoft vẫn hỗ trợ nó với các bản cập nhật bảo mật. Ngay cả trên Windows 10, nơi Microsoft Edge là trình duyệt web mặc định, Microsoft vẫn bao gồm phiên bản Internet Explorer 11 cũ cho mục đích tương thích. Điều này rất quan trọng vì Microsoft Edge, trình duyệt hiện đại của Microsoft, không hỗ trợ bất kỳ plugin dựa trên ActiveX nào. Nó chỉ hỗ trợ phiên bản Adobe Flash tích hợp của riêng nó. Cho dù bạn đang sử dụng Windows 7, 8 hoặc 10, bạn sẽ tìm thấy Internet Explorer trong menu Bắt đầu. Trên Windows 10, bạn sẽ thấy nó bị ẩn trong Bắt đầu> Phụ kiện Windows> Internet Explorer. Nếu bạn sử dụng Microsoft Edge, bạn có thể nhấp vào menu> Mở bằng Internet Explorer trên bất kỳ trang web nào để nhanh chóng mở trang web đó trong Internet Explorer. Có thể bạn sẽ không muốn sử dụng Internet Explorer làm trình duyệt của mình mọi lúc, nhưng bạn có thể khởi chạy nó bất cứ khi nào bạn cần sử dụng trang web yêu cầu plugin. Để cài đặt các plugin này, chỉ cần khởi chạy IE và truy cập trang web thích hợp – trang web Java của Oracle hoặc trang web Silverlight của Microsoft, ví dụ:. Nếu Java không chạy đúng cách, hãy đảm bảo plugin trình duyệt được bật trong bảng điều khiển của nó. Bạn sẽ tìm thấy bảng điều khiển Java tại Bảng điều khiển> Chương trình> Java. Trên tab của Security Security, đảm bảo cho phép kích hoạt nội dung Java trong trình duyệt. Bạn có thể cần phải khởi động lại trình duyệt của mình sau khi thay đổi cài đặt này. Nếu bạn phải truy cập một trang web cũ không hoạt động với Internet Explorer 11 và yêu cầu phiên bản Internet Explorer cũ hơn, bạn có thể sử dụng Chế độ doanh nghiệp của Internet Explorer 11. Tuy nhiên, điều này yêu cầu phiên bản Professional của Windows 10 và không có sẵn trên phiên bản Home.

Cómo usar Mozilla Firefox ESR en Windows, macOS y Linux

Mozilla đã kết thúc hỗ trợ cho các plugin trình duyệt NPAPI truyền thống, ngoài Flash, với Firefox 52 vào ngày 7 tháng 3 năm 2017. Tuy nhiên, Mozilla cung cấp một nhánh Phát hành Hỗ trợ Mở rộng, hay ESR, nhánh của trình duyệt Firefox. Trình duyệt này dành cho các tổ chức có nền tảng ổn định, lâu dài, chỉ nhận các bản cập nhật bảo mật, không phải là các bản cập nhật tính năng và thay đổi thường xuyên mà phiên bản chính của Firefox nhận được. Firefox 52 ESR được phát hành vào ngày 7 tháng 3 năm 2017 và bao gồm hỗ trợ cho các plugin trình duyệt không phải là Flash. Mozilla sẽ tiếp tục hỗ trợ Firefox 52 ESR với các bản cập nhật bảo mật cho đến khoảng quý 2 năm 2018. Vào thời điểm đó, phiên bản ESR tiếp theo của Firefox sẽ bỏ hỗ trợ cho các plugin NPAPI. Truy cập trang Tải xuống Firefox Extended Support Release để tải xuống phiên bản ESR của Firefox. Nếu bạn không chắc chắn nên tải xuống phiên bản nào, hãy chọn phiên bản Firefox 32 bit để tương thích tối đa với các plugin cũ hơn. Các plugin cũ hơn có thể không có sẵn phiên bản 64 bit. Bạn có thể xác minh bạn đang sử dụng phiên bản ESR của Firefox bằng cách nhấp vào menu> Trợ giúp> Giới thiệu về Firefox. Firefox ESR es el mejor navegador para Firefox ESR en todo el mundo y es compatible con todos los navegadores. nhật ESR.

Cómo usar el plugin de Safari en macOS

Apple đã tắt plugin theo mặc định trong Safari trên macOS. Ngay cả Flash sẽ không phát theo mặc định và bạn sẽ phải bật nó bất cứ khi nào bạn truy cập trang web bạn muốn sử dụng Flash trên. Bất chấp những động thái mạnh mẽ này, Apple đã không gỡ bỏ hỗ trợ plugin NPAPI khỏi Safari – ít nhất là từ macOS Sierra 10.12. Safari tiếp tục hỗ trợ Java, Silverlight, Unity và các plugin dựa trên NPAPI khác. Trên thực tế, đây là trình duyệt hiện đại cuối cùng tiếp tục hỗ trợ các plugin này. Ngay cả khi bạn thường sử dụng Chrome hoặc Firefox trên máy Mac, bạn sẽ cần sử dụng Safari khi bạn muốn truy cập trang web yêu cầu plugin. Chúng tôi sẽ không ngạc nhiên khi thấy Apple hoàn toàn bỏ hỗ trợ cho các plugin trong phiên bản macOS trong tương lai. Nhưng Apple đã không công khai thời gian biểu cho việc này. Bạn có thể sử dụng các plugin này một cách bình thường trong Safari. Bạn sẽ phải kích hoạt chúng trước. Để làm như vậy, cài đặt plugin bình thường. Ví dụ: bạn có thể tải xuống Java từ trang web của Oracle. Đi tới Safari> Tùy chọn> Bảo mật> Cài đặt trình cắm. Kích hoạt plugin đã cài đặt mà bạn muốn sử dụng. Bạn có thể kích hoạt plugin cho tất cả các trang web hoặc chỉ cho các trang web cụ thể. Por favor: để tạo Safari, hãy hỏi bạn xem bạn có muốn sử dụng plugin bất cứ khi nào một trang web bạn đang truy cập muốn không, chọn plugin và sau đó đặt tùy chọn. Tất nhiên, giải pháp thực sự là chuyển từ nội dung web yêu cầu bổ trợ. Các ứng dụng được tạo bằng Java, SIlverlight và Unity vẫn hoạt động bình thường bên ngoài trình duyệt web. Các ứng dụng máy tính để bàn được viết bằng Java hoặc Silverlight đều an toàn và sẽ hoạt động bình thường. Cuando se trata de vídeo en la Web, Microsoft utiliza HTML5 y el plugin Silverlight para reproducirlo. Netflix utiliza Silverlight para crear vídeos en HTML5 y Silverlight para crear vídeos en HTML5. Flash vẫn còn phổ biến, đó là lý do tại sao nó được sử dụng rìu. Nó cũng được tích hợp theo mặc định vào Chrome và Edge, giúp giữ cho hộp cát được cập nhật và cập nhật. Nhưng ngay cả Flash cũng có thể bị bỏ lại sau một ngày. Desde la versión 52 de Firefox, lanzada en marzo de 2017, los complementos NPAPI instalados en Firefox no son compatibles, excepto Adobe Flash Player. Algunos de estos plugins no compatibles con Firefox, aunque estén instalados en tu ordenador, son Silverlight, Java y Adobe Acrobat. En los últimos años, Firefox ha implementado una serie de API web que permiten a los sitios web realizar sus antiguas funciones y tareas sin la ayuda de plug-ins y es poco probable que notes ningún cambio cuando utilices el navegador. Internet está lleno de sitios web que van más allá de las páginas estáticas y ofrecen vídeos, música o juegos. Aunque los plug-ins NPAPI, en particular Flash, han ayudado a dar cuerpo a estas páginas interactivas, hacen que la navegación sea más lenta, menos segura y más propensa a los cuelgues. En los últimos años, el equipo de Firefox ha trabajado diligentemente para crear complementos de sustitución llamados Web APIs. Las API web están diseñadas para sustituir las funciones de los plug-ins NPAPI sin comprometer la seguridad, la estabilidad o el rendimiento del navegador. Antes de esto, debido a que las API web no estaban totalmente preparadas, Firefox inició la transición cargando los plugins manualmente cuando era necesario (activándolos con un clic del ratón). Ahora muchos sitios son compatibles con las API web, y puedes navegar por casi todos tus sitios favoritos sin necesidad de utilizar plugins antiguos e inseguros. Firefox se une a otros navegadores modernos como Google Chrome y Microsoft Edge al dejar de ser compatible con los complementos NPAPI. Le recomendamos que actualice Firefox si es posible. Cada actualización de Firefox incluye importantes correcciones y mejoras para ayudarte a mantenerte seguro en Internet. Utilizar una versión antigua de cualquier navegador, incluido Firefox, pone en peligro tus datos personales e incluso tu ordenador. Firefox ha ampliado la compatibilidad con funciones que antes requerían plug-ins adicionales. Además, los plug-ins se actualizan automáticamente y se gestionan mediante una lista de bloqueo para mayor seguridad. Así que puedes mantenerte seguro con sólo actualizar Firefox. Ko’ã tapicha mba’eporã oipytyvõ ojehai hag̃ua:

Pytyvõreigua

Ekakuaa ha emoherakuã nerembiapokue ambuéndi. Embohovái porandu ha embotuichave ore kuaapy. Mi aplicación web corporativa utiliza un applet Java para acceder al sistema de archivos de los usuarios. Por ahora no hay forma de sustituirlo por otra cosa. ¿Cómo puedo habilitar Java en Microsoft Edge?

6 Respuestas

Como ya han mencionado otras personas, Java, ActiveX, Silverlight, Browser Helper Objects (BHO) y otros plugins no son compatibles con Microsoft Edge. La mayoría de los navegadores modernos se están alejando de los plugins y adoptando controles y tecnologías HTML5 estándar. Si debe seguir utilizando el plugin de Java en una aplicación web corporativa, considere la posibilidad de añadir el sitio a una lista de sitios en modo Enterprise. Esto pedirá automáticamente al usuario que lo abra en IE. No puede abrir Java Applets (ni ningún otro plugin NPAPI) en Microsoft Edge – no son compatibles y no se añadirán en el futuro. Además, debe tener en cuenta que en la próxima versión de Google Chrome (v45 – prevista para septiembre de 2015) los plugins NPAPI también dejarán de ser compatibles.

Soluciones

Hay un par de cosas que puedes hacer: Usar Internet Explorer 11 Verás que en Windows 10 ya tendrás Internet Explorer 11 instalado. IE 11 sigue siendo compatible con NPAPI (incluidos los applets de Java). IE11 está escondido ( c:{program filesinternet explorer\iexplore. exe ). Fija este exe a tu barra de tareas para acceder fácilmente a él. Utiliza FireFox También puedes instalar y utilizar Firefox 32-bit Extended Support Release en Win10. Firefox ha desactivado NPAPI por defecto, pero esto puede ser anulado. Esto sólo será posible hasta principios de 2018. Desde la versión 52 de Firefox, lanzada en marzo de 2017, los complementos NPAPI instalados no son compatibles con Firefox, excepto Adobe Flash Player. Algunos de estos plugins no compatibles con Firefox, aunque estén instalados en tu ordenador, son Silverlight, Java y Adobe Acrobat. En los últimos años, Firefox ha implementado una serie de API web que permiten a los sitios web realizar sus antiguas funciones y tareas sin la ayuda de plug-ins y es poco probable que notes ningún cambio cuando utilices el navegador. Internet está lleno de sitios web que van más allá de las páginas estáticas y ofrecen vídeos, música o juegos. Aunque los plug-ins NPAPI, en particular Flash, han ayudado a dar cuerpo a estas páginas interactivas, hacen que la navegación sea más lenta, menos segura y más propensa a los cuelgues. En los últimos años, el equipo de Firefox ha trabajado diligentemente para crear complementos de sustitución llamados Web APIs. Las API web están diseñadas para sustituir las funciones de los plug-ins NPAPI sin comprometer la seguridad, la estabilidad o el rendimiento del navegador. Antes de esto, debido a que las API web no estaban totalmente preparadas, Firefox inició la transición cargando los plugins manualmente cuando era necesario (activándolos con un clic del ratón). Ahora muchos sitios son compatibles con las API web, y puedes navegar por casi todos tus sitios favoritos sin necesidad de utilizar plugins antiguos e inseguros. Firefox se une a otros navegadores modernos como Google Chrome y Microsoft Edge al dejar de ser compatible con los complementos NPAPI. Le recomendamos que actualice Firefox si es posible. Cada actualización de Firefox incluye importantes correcciones y mejoras para ayudarte a mantenerte seguro en Internet. Utilizar una versión antigua de cualquier navegador, incluido Firefox, pone en peligro tus datos personales e incluso tu ordenador. Firefox ha ampliado la compatibilidad con funciones que antes requerían plug-ins adicionales. Además, los plug-ins se actualizan automáticamente y se gestionan mediante una lista de bloqueo para mayor seguridad. Así que puedes mantenerte seguro con sólo actualizar Firefox. Estas buenas personas ayudaron a escribir este artículo:

Voluntario

Crece y comparte tu experiencia con los demás. Responda a las preguntas y mejore nuestra base de conocimientos. El acceso directo desde el navegador a la consola de gestión de ProxySG o Advanced Secure Gateway (ASG) falla con los mensajes “el navegador ya no admite el complemento NPAPI” o “Este complemento no es compatible”. El acceso a la consola de gestión de ProxySG o Advanced Secure Gateway falla con los mensajes “el navegador ya no admite el complemento NPAPI” o “este complemento no es compatible”.

Causa

  • La compatibilidad con plugins NPAPI se desactivó por defecto en la versión 42.
  • El soporte para plugins NPAPI se eliminó en la versión 45 y posteriores.

Mozilla Firefox :

  • La compatibilidad con plugins NPAPI se desactivó por defecto en la versión 52.
  • La compatibilidad con el complemento NPAPI se eliminará a partir de la versión 53.

Nota: Symantec admite navegadores que no se ven afectados por la eliminación del complemento NPAPI y que pueden acceder directamente a la consola de administración. Consulte Versiones compatibles de Java, sistema operativo y navegador para SGOS y Advanced Secure Gateway.

Resolución

Pase del acceso directo desde el explorador al uso de Java Web Start para todas las actividades de la consola de administración. De este modo, se garantiza que cualquier cambio futuro en el comportamiento del explorador no afecte a la accesibilidad de la consola de administración. Para obtener más información sobre el uso de Java Web Start, consulte Descarga del archivo JNLP del iniciador de la consola de administración para iniciar varias consolas de administración.

Solución provisional

Utilice la solución adecuada si debe acceder directamente a la Consola de administración mediante un navegador que ha eliminado o desactivado la compatibilidad con el complemento NPAPI.

Si actualmente ejecuta Google Chrome versiones 42 a 44, la compatibilidad con el complemento NPAPI se ha inhabilitado de forma predeterminada en las versiones 42 a 44. Para habilitar la compatibilidad con el complemento NPAPI

  1. En la barra de direcciones del navegador, introduzca: chrome://flags/#enable-npapi
  2. En la sección Habilitar NPAPI, haga clic en el enlace Habilitar.
  3. En la parte inferior de la página de configuración, haga clic en el botón Relanzar para relanzar el navegador.

Si está ejecutando Mozilla Firefox versión 52, el soporte para plugins NPAPI está deshabilitado por defecto en la versión 52. Para activar la compatibilidad con complementos NPAPI

  1. En la barra de direcciones del navegador, introduzca: about:config
  2. Añada una nueva cadena booleana “plugin. load_flash_only” y ajústela a false.
  3. Reinicie el navegador.

NOTA: La compatibilidad con NPAPI en Firefox ESR versión 52 no es compatible actualmente con ProxySG o Advanced Secure Gateway Management Console.

Mozilla está cambiando la forma en que Firefox carga plugins de terceros como Flash, Java y Silverlight. Este cambio ayudará a aumentar el rendimiento y la estabilidad de Firefox, y proporcionará importantes beneficios de seguridad, mientras que al mismo tiempo proporciona un mayor control sobre los plugins a nuestros usuarios.

Anteriormente, Firefox cargaba automáticamente cualquier complemento solicitado por un sitio web. Aprovechando Click to Play Firefox sólo cargará plugins cuando un usuario realice la acción de hacer clic para que se reproduzca un plugin en particular o el usuario haya configurado previamente Click To Play para ejecutar siempre plugins en el sitio web en particular.

Más control del usuario Los usuarios deben poder elegir qué software y plugins se ejecutan en su equipo. Click to Play permite a los usuarios elegir fácilmente si desean ejecutar un plugin en un sitio concreto. Los usuarios también pueden configurar los sitios para que nunca ejecuten plugins o, por el contrario, para que siempre los ejecuten. Este cambio da el control al usuario.

Mayor rendimiento y estabilidad Los plugins de terceros mal diseñados son la principal causa de cuelgues en Firefox y pueden degradar gravemente la experiencia del usuario en la Web. Esto se ve a menudo en pausas mientras los plugins se cargan y descargan, alto uso de memoria mientras se navega y muchos cuelgues inesperados de Firefox. Activando sólo los plugins que el usuario desea cargar, estamos ayudando a eliminar las pausas, cuelgues y otras consecuencias de los plugins no deseados.

Importantes ventajas de seguridad Uno de los vectores de explotación más comunes contra los usuarios es el impulso por la explotación de plugins vulnerables. En este tipo de ataque, un usuario con plugins obsoletos o vulnerables instalados en su navegador puede infectarse con malware simplemente navegando a cualquier sitio que contenga un kit de explotación de plugins. Hemos observado que los kits de explotación de plugins están presentes tanto en sitios web maliciosos como en sitios web completamente legítimos que han sido comprometidos y que, sin saberlo, están infectando a sus visitantes con malware. En estos casos, el sitio web no hace ningún uso legítimo del complemento, salvo aprovechar la vulnerabilidad del complemento del usuario para instalar malware en su equipo. La función Click to Play protege a los usuarios en estos casos, ya que los plugins no se cargan automáticamente por el simple hecho de visitar un sitio web.

Además de las ventajas de seguridad que ofrece Click to Play, Mozilla recomienda encarecidamente a los usuarios que mantengan sus plugins actualizados. El siguiente sitio web puede utilizarse para determinar si los plugins están actualizados. https://www. mozilla. org/plugincheck/

Implementación de este cambio Nuestro plan es habilitar Click to Play para todas las versiones de todos los plugins excepto la versión actual de Flash. Click to Play ya se ha habilitado para muchos plugins que plantean riesgos significativos de seguridad o estabilidad para nuestros usuarios. Esto incluye versiones vulnerables y obsoletas de Silverlight, Adobe Reader y Java.

Más concretamente, nuestros próximos pasos son los siguientes 1. Hacer clic para reproducir versiones antiguas de Flash (versiones